SiT! Bugs

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000391SiT!incidentspublic2009-01-10 16:522009-02-27 16:26
Reporterpaulh 
Assigned Topaulh 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.45Fixed in Version3.45 
Summary0000391: current owner not populated
DescriptionWe dont always populate the current owner field in the updates table
TagsNo tags attached.
Attached Files

- Relationships
related to 0000036closedpaulh updates.currentstatus not always set 

-  Notes
User avatar (0000458)
ivan (administrator)
2009-01-11 10:36

In what circumstance? This is going to be almost impossible to pin down without knowing what kind of update it is.
User avatar (0000463)
paulh (administrator)
2009-01-11 11:51

The two I've seen (so far) are from inbound emails and updates.

We insert into the updates table in the following files:

      5 htdocs/auto.php
      1 htdocs/billing/update_incident_balance.php
      1 htdocs/bulk_modify.php
      7 htdocs/close_incident.php
      1 htdocs/edit_incident.php
      1 htdocs/edit_task.php
      3 htdocs/inboundemail.php
      4 htdocs/incident_add.php
      7 htdocs/incident/email.inc.php
      1 htdocs/incident/files.inc.php
      4 htdocs/incident/relationships.inc.php
      6 htdocs/incident/update.inc.php
      2 htdocs/portal/add.php
      1 htdocs/portal/close.php
      1 htdocs/portal/update.php
      1 htdocs/reassign_incident.php
      3 htdocs/reopen_incident.php
      1 htdocs/task_add.php
      3 includes/functions.inc.php

(with corresponding number of statements), we should check each one
User avatar (0000466)
ivan (administrator)
2009-01-11 15:18

Wow, that is a lot. OK, guess we need to do that for 3.45, missing the current owner is not good really. Same with status, think theres another bug report about that.
User avatar (0000474)
paulh (administrator)
2009-01-11 18:01

That list was of everywhere we insert into updates not those which are incorrect
User avatar (0000546)
paulh (administrator)
2009-01-31 18:36

trunk r4810 has all these set correctly

- Issue History
Date Modified Username Field Change
2009-01-10 16:52 paulh New Issue
2009-01-11 10:36 ivan Note Added: 0000458
2009-01-11 10:36 ivan Status new => feedback
2009-01-11 11:51 paulh Note Added: 0000463
2009-01-11 15:18 ivan Note Added: 0000466
2009-01-11 15:18 ivan Status feedback => new
2009-01-11 15:18 ivan Target Version => 3.45
2009-01-11 15:18 ivan Relationship added related to 0000036
2009-01-11 17:03 ivan Status new => assigned
2009-01-11 17:03 ivan Assigned To => ivan
2009-01-11 18:01 paulh Note Added: 0000474
2009-01-28 15:22 paulh Assigned To ivan => paulh
2009-01-31 18:36 paulh Note Added: 0000546
2009-01-31 18:36 paulh Status assigned => resolved
2009-01-31 18:36 paulh Resolution open => fixed
2009-01-31 18:36 paulh Fixed in Version => 3.45
2009-02-27 16:26 ivan Status resolved => closed


Copyright © 2000 - 2019 MantisBT Team
Powered by Mantis Bugtracker